japa.parser.ast.visitor

## Class CloneVisitor

- java.lang.Object
- - japa.parser.ast.visitor.CloneVisitor

All Implemented Interfaces:
  GenericVisitor<Node,Object>

    public class CloneVisitor
    extends Object
    implements GenericVisitor<Node,Object>

### Constructor Summary

Constructors
Constructor and Description
`CloneVisitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected <T extends Node> T` `cloneNodes(T _node, Object _arg)`
`Node` `visit(AnnotationDeclaration _n, Object _arg)`
`Node` `visit(AnnotationMemberDeclaration _n, Object _arg)`
`Node` `visit(ArrayAccessExpr _n, Object _arg)`
`Node` `visit(ArrayCreationExpr _n, Object _arg)`
`Node` `visit(ArrayInitializerExpr _n, Object _arg)`
`Node` `visit(AssertStmt _n, Object _arg)`
`Node` `visit(AssignExpr _n, Object _arg)`
`Node` `visit(BinaryExpr _n, Object _arg)`
`Node` `visit(BlockComment _n, Object _arg)`
`Node` `visit(BlockStmt _n, Object _arg)`
`Node` `visit(BooleanLiteralExpr _n, Object _arg)`
`Node` `visit(BreakStmt _n, Object _arg)`
`Node` `visit(CastExpr _n, Object _arg)`
`Node` `visit(CatchClause _n, Object _arg)`
`Node` `visit(CharLiteralExpr _n, Object _arg)`
`Node` `visit(ClassExpr _n, Object _arg)`
`Node` `visit(ClassOrInterfaceDeclaration _n, Object _arg)`
`Node` `visit(ClassOrInterfaceType _n, Object _arg)`
`Node` `visit(CompilationUnit _n, Object _arg)`
`Node` `visit(ConditionalExpr _n, Object _arg)`
`Node` `visit(ConstructorDeclaration _n, Object _arg)`
`Node` `visit(ContinueStmt _n, Object _arg)`
`Node` `visit(DoStmt _n, Object _arg)`
`Node` `visit(DoubleLiteralExpr _n, Object _arg)`
`Node` `visit(EmptyMemberDeclaration _n, Object _arg)`
`Node` `visit(EmptyStmt _n, Object _arg)`
`Node` `visit(EmptyTypeDeclaration _n, Object _arg)`
`Node` `visit(EnclosedExpr _n, Object _arg)`
`Node` `visit(EnumConstantDeclaration _n, Object _arg)`
`Node` `visit(EnumDeclaration _n, Object _arg)`
`Node` `visit(ExplicitConstructorInvocationStmt _n, Object _arg)`
`Node` `visit(ExpressionStmt _n, Object _arg)`
`Node` `visit(FieldAccessExpr _n, Object _arg)`
`Node` `visit(FieldDeclaration _n, Object _arg)`
`Node` `visit(ForeachStmt _n, Object _arg)`
`Node` `visit(ForStmt _n, Object _arg)`
`Node` `visit(IfStmt _n, Object _arg)`
`Node` `visit(ImportDeclaration _n, Object _arg)`
`Node` `visit(InitializerDeclaration _n, Object _arg)`
`Node` `visit(InstanceOfExpr _n, Object _arg)`
`Node` `visit(IntegerLiteralExpr _n, Object _arg)`
`Node` `visit(IntegerLiteralMinValueExpr _n, Object _arg)`
`Node` `visit(JavadocComment _n, Object _arg)`
`Node` `visit(LabeledStmt _n, Object _arg)`
`Node` `visit(LineComment _n, Object _arg)`
`<T extends Node> List<T>` `visit(List<T> _nodes, Object _arg)`
`Node` `visit(LongLiteralExpr _n, Object _arg)`
`Node` `visit(LongLiteralMinValueExpr _n, Object _arg)`
`Node` `visit(MarkerAnnotationExpr _n, Object _arg)`
`Node` `visit(MemberValuePair _n, Object _arg)`
`Node` `visit(MethodCallExpr _n, Object _arg)`
`Node` `visit(MethodDeclaration _n, Object _arg)`
`Node` `visit(MultiTypeParameter _n, Object _arg)`
`Node` `visit(NameExpr _n, Object _arg)`
`Node` `visit(NormalAnnotationExpr _n, Object _arg)`
`Node` `visit(NullLiteralExpr _n, Object _arg)`
`Node` `visit(ObjectCreationExpr _n, Object _arg)`
`Node` `visit(PackageDeclaration _n, Object _arg)`
`Node` `visit(Parameter _n, Object _arg)`
`Node` `visit(PrimitiveType _n, Object _arg)`
`Node` `visit(QualifiedNameExpr _n, Object _arg)`
`Node` `visit(ReferenceType _n, Object _arg)`
`Node` `visit(ReturnStmt _n, Object _arg)`
`Node` `visit(SingleMemberAnnotationExpr _n, Object _arg)`
`Node` `visit(StringLiteralExpr _n, Object _arg)`
`Node` `visit(SuperExpr _n, Object _arg)`
`Node` `visit(SwitchEntryStmt _n, Object _arg)`
`Node` `visit(SwitchStmt _n, Object _arg)`
`Node` `visit(SynchronizedStmt _n, Object _arg)`
`Node` `visit(ThisExpr _n, Object _arg)`
`Node` `visit(ThrowStmt _n, Object _arg)`
`Node` `visit(TryStmt _n, Object _arg)`
`Node` `visit(TypeDeclarationStmt _n, Object _arg)`
`Node` `visit(TypeParameter _n, Object _arg)`
`Node` `visit(UnaryExpr _n, Object _arg)`
`Node` `visit(VariableDeclarationExpr _n, Object _arg)`
`Node` `visit(VariableDeclaratorId _n, Object _arg)`
`Node` `visit(VariableDeclarator _n, Object _arg)`
`Node` `visit(VoidType _n, Object _arg)`
`Node` `visit(WhileStmt _n, Object _arg)`
`Node` `visit(WildcardType _n, Object _arg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CloneVisitor

    public CloneVisitor()

### Method Detail

#### visit

    public Node visit(CompilationUnit _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(PackageDeclaration _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ImportDeclaration _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(TypeParameter _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(LineComment _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(BlockComment _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ClassOrInterfaceDeclaration _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(EnumDeclaration _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(EmptyTypeDeclaration _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(EnumConstantDeclaration _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(AnnotationDeclaration _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(AnnotationMemberDeclaration _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(FieldDeclaration _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(VariableDeclarator _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(VariableDeclaratorId _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ConstructorDeclaration _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(MethodDeclaration _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(Parameter _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(MultiTypeParameter _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(EmptyMemberDeclaration _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(InitializerDeclaration _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(JavadocComment _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ClassOrInterfaceType _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(PrimitiveType _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ReferenceType _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(VoidType _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(WildcardType _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ArrayAccessExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ArrayCreationExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ArrayInitializerExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(AssignExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(BinaryExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(CastExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ClassExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ConditionalExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(EnclosedExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(FieldAccessExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(InstanceOfExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(StringLiteralExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(IntegerLiteralExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(LongLiteralExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(IntegerLiteralMinValueExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(LongLiteralMinValueExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(CharLiteralExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(DoubleLiteralExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(BooleanLiteralExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(NullLiteralExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(MethodCallExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(NameExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ObjectCreationExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(QualifiedNameExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ThisExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(SuperExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(UnaryExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(VariableDeclarationExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(MarkerAnnotationExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(SingleMemberAnnotationExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(NormalAnnotationExpr _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(MemberValuePair _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ExplicitConstructorInvocationStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(TypeDeclarationStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(AssertStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(BlockStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(LabeledStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(EmptyStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ExpressionStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(SwitchStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(SwitchEntryStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(BreakStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ReturnStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(IfStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(WhileStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ContinueStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(DoStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ForeachStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ForStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(ThrowStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(SynchronizedStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(TryStmt _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public Node visit(CatchClause _n,
                      Object _arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,Object>`

#### visit

    public <T extends Node> List<T> visit(List<T> _nodes,
                                          Object _arg)

#### cloneNodes

    protected <T extends Node> T cloneNodes(T _node,
                                            Object _arg)